Your Name 2 years ago
parent
commit
606893877a
2 changed files with 75 additions and 0 deletions
  1. 47 0
      bfgminer.conf
  2. 28 0
      rc.local

+ 47 - 0
bfgminer.conf

@@ -0,0 +1,47 @@
+{
+"pools" : [
+        {
+                "url" : "stratum+tcp://eu-01.miningrigrentals.com:3333/#skipcbcheck#xnsub",
+                "user" : "wareck.262669",
+                "pass" : "x",
+                "pool-priority" : "0"
+        },
+        {
+                "url" : "stratum+tcp://eu-uk01.miningrigrentals.com:3333/#skipcbcheck#xnsub",
+                "user" : "wareck.262669",
+                "pass" : "x",
+                "pool-priority" : "0"
+        },
+        {
+                "url" : "stratum+tcp://hk-01.miningrigrentals.com:3333/#skipcbcheck#xnsub",
+                "user" : "wareck.262669",
+                "pass" : "x",
+                "pool-priority" : "0"
+        }
+]
+,
+"api-mcast-port" : "4028",
+"api-port" : "4028",
+"expiry" : "120",
+"expiry-lp" : "3600",
+"failover-switch-delay" : "300",
+"failover-only" : true,
+"log" : "20",
+"no-pool-disable" : true,
+"no-client-reconnect" : true,
+"no-show-processors" : true,
+"no-show-procs" : true,
+"no-unicode" : true,
+"queue" : "1",
+"quiet-work-updates" : true,
+"quiet-work-update" : true,
+"scan-time" : "60",
+"skip-security-checks" : "0",
+"submit-stale" : true,
+"temp-hysteresis" : "3",
+"shares" : 0,
+"kernel-path" : "/usr/local/share/bfgminer",
+"scan" : [
+        "all"
+]
+}

+ 28 - 0
rc.local

@@ -0,0 +1,28 @@
+#!/bin/sh -e
+#
+# rc.local
+#
+# This script is executed at the end of each multiuser runlevel.
+# Make sure that the script will "" on success or any other
+# value on error.
+#
+# In order to enable or disable this script just change the execution
+# bits.
+#
+# By default this script does nothing.
+
+# Print the IP address
+_IP=$(hostname -I) || true
+if [ "$_IP" ]; then
+  printf "My IP address is %s\n" "$_IP"
+fi
+#bfgminer
+#su - pi -c 'screen -dmS miner /home/pi/bfgminer/bfgminer --scrypt -o stratum+tcp://litecoinpool.org:3333 -u wareck.1 -p 1,d=128 -S all --set MLD:clock=660 --set ZUS:clock=328 --set ZUS:chips=6'
+#su - pi -c 'screen -dmS miner /home/pi/bfgminer/bfgminer --scrypt -o stratum+tcp://eu-01.miningrigrentals.com:3333/#skipcbcheck#xnsub -u wareck.262669 -p x -S all --set MLD:clock=660 --set ZUS:clock=328 --set ZUS:chips=6 --api-allow 127.0.0.1 --api-listen'
+su - pi -c 'screen -dmS miner /home/pi/bfgminer/bfgminer --scrypt  -S all --set MLD:clock=660 --api-allow 127.0.0.1 --api-listen'
+
+iptables-restore < /etc/iptables.ipv4.nat
+
+#OKcash Node Start
+su - pi -c 'okcashd --printtoconsole'
+exit 0